class PolicyModel {
  String? accessid;
  String? host;
  String? policy;
  String? signature;
  String? dir;
  int? expire;

  PolicyModel(
      {this.accessid,
      this.host,
      this.policy,
      this.signature,
      this.dir,
      this.expire});

  PolicyModel.fromJson(Map<String, dynamic> json) {
    accessid = json['accessid'];
    host = json['host'];
    policy = json['policy'];
    signature = json['signature'];
    dir = json['dir'];
    expire = json['expire'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accessid'] = this.accessid;
    data['host'] = this.host;
    data['policy'] = this.policy;
    data['signature'] = this.signature;
    data['dir'] = this.dir;
    data['expire'] = this.expire;
    return data;
  }
}