import 'package:dio/dio.dart';
import 'package:flutter_lingman/idemon_config.dart'; 
import 'package:get/get.dart'; 

class RequestInterceptor extends Interceptor {
  @override
  void onRequest(RequestOptions options, RequestInterceptorHandler handler) { 
    Map<String, String> data = Get.find<IDemonConfig>().getHttpHeader();
    options.headers["Content-Type"] = "application/json"; 
    for (int i = 0; i < data.keys.toList().length; i++) {
         String keyI = data[data.keys.toList()[i]] ?? "";
         if(keyI.isNotEmpty) {
             options.headers[data.keys.toList()[i]] = keyI ;
         } 
    } 
    return super.onRequest(options, handler);
  }
}
